X2Go Bug report logs - #642
Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: "George Trakatelis" <trakatelis@uom.edu.gr>

Date: Wed, 15 Oct 2014 14:50:01 UTC

Severity: wishlist

Tags: pending

Found in version 4.0.2.1

Fixed in version 4.0.3.2

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Wed, 15 Oct 2014 14:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to "George Trakatelis" <trakatelis@uom.edu.gr>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 15 Oct 2014 14:50:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: "George Trakatelis" <trakatelis@uom.edu.gr>
To: <submit@bugs.x2go.org>
Cc: "'Mike DePaulo'" <mikedep333@gmail.com>
Subject: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking
Date: Wed, 15 Oct 2014 17:45:54 +0300
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.2.1
Severity: wishlist

Given the ease of use of Visual Studio's built-in debugger, 
the ability to compile X2GoClient in Visual Studio 2010 
would be highly appreciated by developers eager to contribute 
in the evolution of X2GoClient for Windows.

Using the attached patch (also added config_win_vs.bat) 
I have only managed to compile x2gofree (with VS2010 nmake) 
on the command line. Despite my changes in x2goclient.pro,
Qt4 Visual Studio Add-in cannot produce a working project file
(x2goclient.vcxproj). 
Any help to enable building x2gofree in Visual Studio 2010 is welcome.

PS. The change in ONMainWindow::slotRetResumeSess 
is also mandatory for GCC 4.8.2 (i686-4.8.2-release-posix-dwarf-rt_v3-rev3).

-----------------------------------------------------------------
George Trakatelis 
Department of Applied Informatics, School of Information Sciences 
University of Macedonia, Greece
-----------------------------------------------------------------
[conform-to-stricter-type-checking.diff (application/octet-stream, attachment)]
[config_win_vs.bat.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Wed, 15 Oct 2014 20:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 15 Oct 2014 20:35:01 GMT) (full text, mbox, link).


Message #10 received at 642@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: George Trakatelis <trakatelis@uom.edu.gr>, 642@bugs.x2go.org
Cc: o.schneyder@phoca-gmbh.de
Subject: Re: [X2Go-Dev] Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking
Date: Wed, 15 Oct 2014 20:33:58 +0000
[Message part 1 (text/plain, inline)]
Hi Alex, hi Mike#2,

On  Mi 15 Okt 2014 16:45:54 CEST, George Trakatelis wrote:

> Package: x2goclient
> Version: 4.0.2.1
> Severity: wishlist
>
> Given the ease of use of Visual Studio's built-in debugger,
> the ability to compile X2GoClient in Visual Studio 2010
> would be highly appreciated by developers eager to contribute
> in the evolution of X2GoClient for Windows.
>
> Using the attached patch (also added config_win_vs.bat)
> I have only managed to compile x2gofree (with VS2010 nmake)
> on the command line. Despite my changes in x2goclient.pro,
> Qt4 Visual Studio Add-in cannot produce a working project file
> (x2goclient.vcxproj).
> Any help to enable building x2gofree in Visual Studio 2010 is welcome.
>
> PS. The change in ONMainWindow::slotRetResumeSess
> is also mandatory for GCC 4.8.2 (i686-4.8.2-release-posix-dwarf-rt_v3-rev3).

Please review George's patch. And possibly give support (if time  
allows it and priority provides it).

Thanks!
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Thu, 16 Oct 2014 09:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 16 Oct 2014 09:05:01 GMT) (full text, mbox, link).


Message #15 received at 642@bugs.x2go.org (full text, mbox, reply):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, George Trakatelis <trakatelis@uom.edu.gr>, 642@bugs.x2go.org
Cc: o.schneyder@phoca-gmbh.de
Subject: Re: [X2Go-Dev] Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking
Date: Thu, 16 Oct 2014 10:42:21 +0200
[Message part 1 (text/plain, inline)]
patch is ok.

regards,
Alex.
Am 15.10.2014 22:33, schrieb Mike Gabriel:
> Hi Alex, hi Mike#2,
> 
> On  Mi 15 Okt 2014 16:45:54 CEST, George Trakatelis wrote:
> 
>> Package: x2goclient
>> Version: 4.0.2.1
>> Severity: wishlist
>>
>> Given the ease of use of Visual Studio's built-in debugger,
>> the ability to compile X2GoClient in Visual Studio 2010
>> would be highly appreciated by developers eager to contribute
>> in the evolution of X2GoClient for Windows.
>>
>> Using the attached patch (also added config_win_vs.bat)
>> I have only managed to compile x2gofree (with VS2010 nmake)
>> on the command line. Despite my changes in x2goclient.pro,
>> Qt4 Visual Studio Add-in cannot produce a working project file
>> (x2goclient.vcxproj).
>> Any help to enable building x2gofree in Visual Studio 2010 is welcome.
>>
>> PS. The change in ONMainWindow::slotRetResumeSess
>> is also mandatory for GCC 4.8.2
>> (i686-4.8.2-release-posix-dwarf-rt_v3-rev3).
> 
> Please review George's patch. And possibly give support (if time allows
> it and priority provides it).
> 
> Thanks!
> Mike
> 


-- 
-----------------------------------------------------------
Oleksandr Shneyder        | Email: o.shneyder@phoca-gmbh.de
phoca GmbH                | Tel. : 0911 - 14870374 0
Ludwig-Feuerbach-str. 18  | Fax. : 0911 - 14870374 9
D-90489 Nürnberg          | Mobil: 0163 - 49 64 461

Geschäftsführung:
Dipl.-Inf. Oleksandr Shneyder

Amtsgericht München | http://www.phoca-gmbh.de
HRB 196 658         | http://www.x2go.org
USt-IdNr.: DE281977973
-----------------------------------------------------------

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Thu, 16 Oct 2014 14:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 16 Oct 2014 14:20:02 GMT) (full text, mbox, link).


Message #20 received at 642@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 642@bugs.x2go.org, Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: o.schneyder@phoca-gmbh.de, George Trakatelis <trakatelis@uom.edu.gr>
Subject: Re: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking
Date: Thu, 16 Oct 2014 10:16:16 -0400
[Message part 1 (text/plain, inline)]
I can merge it this evening. But should we merge it right before we release
4.0.3.0?

Sent from my Android Smartphone
On Oct 16, 2014 5:05 AM, "Oleksandr Shneyder" <o.shneyder@phoca-gmbh.de>
wrote:

> patch is ok.
>
> regards,
> Alex.
> Am 15.10.2014 22:33, schrieb Mike Gabriel:
> > Hi Alex, hi Mike#2,
> >
> > On  Mi 15 Okt 2014 16:45:54 CEST, George Trakatelis wrote:
> >
> >> Package: x2goclient
> >> Version: 4.0.2.1
> >> Severity: wishlist
> >>
> >> Given the ease of use of Visual Studio's built-in debugger,
> >> the ability to compile X2GoClient in Visual Studio 2010
> >> would be highly appreciated by developers eager to contribute
> >> in the evolution of X2GoClient for Windows.
> >>
> >> Using the attached patch (also added config_win_vs.bat)
> >> I have only managed to compile x2gofree (with VS2010 nmake)
> >> on the command line. Despite my changes in x2goclient.pro,
> >> Qt4 Visual Studio Add-in cannot produce a working project file
> >> (x2goclient.vcxproj).
> >> Any help to enable building x2gofree in Visual Studio 2010 is welcome.
> >>
> >> PS. The change in ONMainWindow::slotRetResumeSess
> >> is also mandatory for GCC 4.8.2
> >> (i686-4.8.2-release-posix-dwarf-rt_v3-rev3).
> >
> > Please review George's patch. And possibly give support (if time allows
> > it and priority provides it).
> >
> > Thanks!
> > Mike
> >
>
>
> --
> -----------------------------------------------------------
> Oleksandr Shneyder        | Email: o.shneyder@phoca-gmbh.de
> phoca GmbH                | Tel. : 0911 - 14870374 0
> Ludwig-Feuerbach-str. 18  | Fax. : 0911 - 14870374 9
> D-90489 Nürnberg          | Mobil: 0163 - 49 64 461
>
> Geschäftsführung:
> Dipl.-Inf. Oleksandr Shneyder
>
> Amtsgericht München | http://www.phoca-gmbh.de
> HRB 196 658         | http://www.x2go.org
> USt-IdNr.: DE281977973
> -----------------------------------------------------------
>
>
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> http://lists.x2go.org/listinfo/x2go-dev
>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Thu, 16 Oct 2014 14:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 16 Oct 2014 14:35:01 GMT) (full text, mbox, link).


Message #25 received at 642@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>
Cc: 642@bugs.x2go.org, Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, o.schneyder@phoca-gmbh.de, George Trakatelis <trakatelis@uom.edu.gr>
Subject: Re: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking
Date: Thu, 16 Oct 2014 14:30:29 +0000
[Message part 1 (text/plain, inline)]
Hi Mike#2

On  Do 16 Okt 2014 16:16:16 CEST, Michael DePaulo wrote:

> I can merge it this evening. But should we merge it right before we release
> 4.0.3.0?
>

No, please wait till 4.0.3.0 is out.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Wed, 22 Oct 2014 08:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to "George Trakatelis" <trakatelis@uom.edu.gr>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 22 Oct 2014 08:10:02 GMT) (full text, mbox, link).


Message #30 received at 642@bugs.x2go.org (full text, mbox, reply):

From: "George Trakatelis" <trakatelis@uom.edu.gr>
To: <642@bugs.x2go.org>
Cc: <mikedep333@gmail.com>
Subject: RE: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking
Date: Wed, 22 Oct 2014 11:05:21 +0300
Dear Michael,

Please wait a little bit more before applying the patch 
as I will split it into 2 or 3 parts and 
give a word or two of explanation on each part. 

George


-----Original Message-----
From: Mike Gabriel [mailto:mike.gabriel@das-netzwerkteam.de] 
Sent: Thursday, October 16, 2014 5:30 PM
To: 
Cc: 642@bugs.x2go.org; Oleksandr Shneyder; o.schneyder@phoca-gmbh.de; George Trakatelis
Subject: Re: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking

Hi Mike#2

On  Do 16 Okt 2014 16:16:16 CEST, Michael DePaulo wrote:

> I can merge it this evening. But should we merge it right before we 
> release 4.0.3.0?
>

No, please wait till 4.0.3.0 is out.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Tue, 28 Oct 2014 05:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to "George Trakatelis" <trakatelis@uom.edu.gr>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 28 Oct 2014 05:20:03 GMT) (full text, mbox, link).


Message #35 received at 642@bugs.x2go.org (full text, mbox, reply):

From: "George Trakatelis" <trakatelis@uom.edu.gr>
To: <642@bugs.x2go.org>
Cc: "'Mike DePaulo'" <mikedep333@gmail.com>
Subject: RE: [X2Go-Dev] Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking
Date: Tue, 28 Oct 2014 07:15:54 +0200
[Message part 1 (text/plain, inline)]
Hi Michael,

Now that release 4.0.3.0 of x2goclient is out, 
I attach my proposed changes and comment on each one:

1. conform-to-stricter-type-checking-mingw482.patch

Even mingw's debug build complains about this char * 
not having been declared as ought to be (const char *) 
and suggests using -fpermissive (not recommended).

2. conform-to-stricter-type-checking-VS2010.patch

a. A type-cast to match one of pow's declarations {float pow(float x, int y);}
b. In pure Windows there's no close() function to close a socket. 
   So you have to use closesocket() instead.
c. Include winsock2.h just before windows.h (also recommended by mingw).

3. add-libraries-to-build-with-VS2010.patch

a. A new batch file to configure x2goclient for VS2010 build (config_win_vs.bat). 
I have just substituted nmake for mingw32-make. 
Please remember to also use 'nmake' or 'nmake debug' when building.
b. Added necessary win32 libraries.

George

> -----Original Message-----
> From: Mike Gabriel [mailto:mike.gabriel@das-netzwerkteam.de]
> Sent: Thursday, October 16, 2014 5:30 PM
> To: Michael DePaulo
> Cc: 642@bugs.x2go.org; Oleksandr Shneyder; o.schneyder@phoca-gmbh.de;
> George Trakatelis
> Subject: Re: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for
> Windows to enable it conform to Visual Studio's stricter type checking
> 
> Hi Mike#2
> 
> On  Do 16 Okt 2014 16:16:16 CEST, Michael DePaulo wrote:
> 
> > I can merge it this evening. But should we merge it right before we
> > release 4.0.3.0?
> >
> 
> No, please wait till 4.0.3.0 is out.
> 
> Mike
> 
> --
> 
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
> 
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
> 
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-
> netzwerkteam.de.xfb
[conform-to-stricter-type-checking-mingw482.patch (application/octet-stream, attachment)]
[conform-to-stricter-type-checking-VS2010.patch (application/octet-stream, attachment)]
[add-libraries-to-build-with-VS2010.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Tue, 28 Oct 2014 08:00:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 28 Oct 2014 08:00:01 GMT) (full text, mbox, link).


Message #40 received at 642@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: George Trakatelis <trakatelis@uom.edu.gr>, 642@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking
Date: Tue, 28 Oct 2014 07:55:09 +0000
[Message part 1 (text/plain, inline)]
Hi George,

On  Di 28 Okt 2014 06:15:54 CET, George Trakatelis wrote:

> Hi Michael,
>
> Now that release 4.0.3.0 of x2goclient is out,
> I attach my proposed changes and comment on each one:
>
> 1. conform-to-stricter-type-checking-mingw482.patch
>
> Even mingw's debug build complains about this char *
> not having been declared as ought to be (const char *)
> and suggests using -fpermissive (not recommended).
>
> 2. conform-to-stricter-type-checking-VS2010.patch
>
> a. A type-cast to match one of pow's declarations {float pow(float  
> x, int y);}
> b. In pure Windows there's no close() function to close a socket.
>    So you have to use closesocket() instead.
> c. Include winsock2.h just before windows.h (also recommended by mingw).
>
> 3. add-libraries-to-build-with-VS2010.patch
>
> a. A new batch file to configure x2goclient for VS2010 build  
> (config_win_vs.bat).
> I have just substituted nmake for mingw32-make.
> Please remember to also use 'nmake' or 'nmake debug' when building.
> b. Added necessary win32 libraries.
>
> George

Thanks a lot for providing those patches.

Will applying all those patches provide enough reason/solution to  
close this bug (#642)?

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Tue, 28 Oct 2014 17:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to "George Trakatelis" <trakatelis@uom.edu.gr>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 28 Oct 2014 17:00:02 GMT) (full text, mbox, link).


Message #45 received at 642@bugs.x2go.org (full text, mbox, reply):

From: "George Trakatelis" <trakatelis@uom.edu.gr>
To: <642@bugs.x2go.org>
Cc: "'Mike Gabriel'" <mike.gabriel@das-netzwerkteam.de>, "'Mike DePaulo'" <mikedep333@gmail.com>
Subject: RE: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking
Date: Tue, 28 Oct 2014 18:55:52 +0200
[Message part 1 (text/plain, inline)]
Hi Mike,

My initial intention was to build X2GoClient for Windows using the VS2010 IDE, 
but that seems to be impossible for the time being due to a Qt4 Visual Studio Add-in limitation. 
The provided patches:

1. 'conform-to-stricter-type-checking-mingw482.patch', 
2. 'conform-to-stricter-type-checking-VS2010.patch', and 
3. the now attached 'add-libraries-to-build-with-VS2010-command-line.patch' 
   (which supersedes previously attached 'add-libraries-to-build-with-VS2010.patch') 

make it possible to build X2GoClient for Windows 4.0.3.0 from the command line 
using Visual Studio's nmake (one has to install VS2010 and Qt 4.8.6 for VS2010). 
As this wishlist bug is actually resolved by applying the 3 patches, my answer is 
'Yes, you can close it, provided that at least one volunteer confirms its validity'.

George

> -----Original Message-----
> From: Mike Gabriel [mailto:mike.gabriel@das-netzwerkteam.de]
> Sent: Tuesday, October 28, 2014 9:55 AM
> To: George Trakatelis; 642@bugs.x2go.org
> Subject: Re: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for
> Windows to enable it conform to Visual Studio's stricter type checking
> 
> Hi George,
> 
> On  Di 28 Okt 2014 06:15:54 CET, George Trakatelis wrote:
> 
> > Hi Michael,
> >
> > Now that release 4.0.3.0 of x2goclient is out, I attach my proposed
> > changes and comment on each one:
> >
> > 1. conform-to-stricter-type-checking-mingw482.patch
> >
> > Even mingw's debug build complains about this char * not having been
> > declared as ought to be (const char *) and suggests using -
> fpermissive
> > (not recommended).
> >
> > 2. conform-to-stricter-type-checking-VS2010.patch
> >
> > a. A type-cast to match one of pow's declarations {float pow(float x,
> > int y);} b. In pure Windows there's no close() function to close a
> > socket.
> >    So you have to use closesocket() instead.
> > c. Include winsock2.h just before windows.h (also recommended by
> mingw).
> >
> > 3. add-libraries-to-build-with-VS2010.patch
> >
> > a. A new batch file to configure x2goclient for VS2010 build
> > (config_win_vs.bat).
> > I have just substituted nmake for mingw32-make.
> > Please remember to also use 'nmake' or 'nmake debug' when building.
> > b. Added necessary win32 libraries.
> >
> > George
> 
> Thanks a lot for providing those patches.
> 
> Will applying all those patches provide enough reason/solution to close
> this bug (#642)?
> 
> Mike
> 
> 
> --
> 
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
> 
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
> 
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-
> netzwerkteam.de.xfb
[add-libraries-to-build-with-VS2010-command-line.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Tue, 28 Oct 2014 17:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 28 Oct 2014 17:50:02 GMT) (full text, mbox, link).


Message #50 received at 642@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: George Trakatelis <trakatelis@uom.edu.gr>
Cc: 642@bugs.x2go.org, 'Mike DePaulo' <mikedep333@gmail.com>
Subject: Re: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking
Date: Tue, 28 Oct 2014 17:49:10 +0000
[Message part 1 (text/plain, inline)]
HI Mike#2

On  Di 28 Okt 2014 17:55:52 CET, George Trakatelis wrote:

> As this wishlist bug is actually resolved by applying the 3 patches,  
> my answer is
> 'Yes, you can close it, provided that at least one volunteer
> confirms its validity'.
  ^^^^^^^^^^^^^^^^^^^^^

@Mike#2: I fear, this is on you...

Mike#1


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Thu, 30 Oct 2014 06:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to "George Trakatelis" <trakatelis@uom.edu.gr>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 30 Oct 2014 06:45:02 GMT) (full text, mbox, link).


Message #55 received at 642@bugs.x2go.org (full text, mbox, reply):

From: "George Trakatelis" <trakatelis@uom.edu.gr>
To: <642@bugs.x2go.org>
Cc: "'Mike Gabriel'" <mike.gabriel@das-netzwerkteam.de>, "'Mike DePaulo'" <mikedep333@gmail.com>
Subject: RE: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking
Date: Thu, 30 Oct 2014 08:44:14 +0200
[Message part 1 (text/plain, inline)]
Hi Mikes,

I have just discovered an error in one of the previously provided patch files.
Windows sockets cleanup is handled in SshProcess::~SshProcess() (as it should be),
so I had to remove WSACleanup() from patched SshMasterConnection::finalize(int)
which caused a connection error if someone -after logging out- tried to login to the same server.

To avoid any ambiguity I re-attach the correct patch files.

George

PS. I wish a constructive gathering to all participants.


> -----Original Message-----
> From: Mike Gabriel [mailto:mike.gabriel@das-netzwerkteam.de]
> Sent: Tuesday, October 28, 2014 7:49 PM
> To: George Trakatelis
> Cc: 642@bugs.x2go.org; 'Mike DePaulo'
> Subject: Re: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for
> Windows to enable it conform to Visual Studio's stricter type checking
> 
> HI Mike#2
> 
> On  Di 28 Okt 2014 17:55:52 CET, George Trakatelis wrote:
> 
> > As this wishlist bug is actually resolved by applying the 3 patches,
> > my answer is 'Yes, you can close it, provided that at least one
> > volunteer confirms its validity'.
>    ^^^^^^^^^^^^^^^^^^^^^
> 
> @Mike#2: I fear, this is on you...
> 
> Mike#1
> 
> 
> --
> 
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
> 
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
> 
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-
> netzwerkteam.de.xfb
[conform-to-stricter-type-checking-mingw482.patch (application/octet-stream, attachment)]
[conform-to-stricter-type-checking-VS2010-close-socket.patch (application/octet-stream, attachment)]
[add-libraries-to-build-with-VS2010-command-line.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Fri, 07 Nov 2014 03:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 07 Nov 2014 03:00:02 GMT) (full text, mbox, link).


Message #60 received at 642@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: George Trakatelis <trakatelis@uom.edu.gr>
Cc: 642@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#642: Bug#642: Changes in X2GoClient for Windows to enable it conform to Visual Studio's stricter type checking
Date: Thu, 6 Nov 2014 21:55:10 -0500
On Thu, Oct 30, 2014 at 2:44 AM, George Trakatelis
<trakatelis@uom.edu.gr> wrote:
...
> To avoid any ambiguity I re-attach the correct patch files.
...

Sorry for the delay. I will test out the patches this weekend.

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Mon, 01 Dec 2014 13:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 01 Dec 2014 13:50:02 GMT) (full text, mbox, link).


Message #65 received at 642@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 642@bugs.x2go.org
Subject: I applied the 3 patches
Date: Mon, 1 Dec 2014 08:48:27 -0500
Sorry for not replying earlier. Something major came up in my personal life.

Anyway, I reviewed the 3 patches and did some basic regression testing
with the current minGW 4.8.2 + Qt 4.8.6 build configuration. Those
tests passed, so I commit the 3 patches.

Before I update the changelog and mark this bug as closed, I will test
out building with VS 2010 express.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Tue, 02 Dec 2014 03:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 02 Dec 2014 03:25:02 GMT) (full text, mbox, link).


Message #70 received at 642@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 642@bugs.x2go.org
Subject: What libssh did you use?
Date: Mon, 1 Dec 2014 22:22:35 -0500
Hi George,

Have you been able to compile x2goclient under MSVC2010?

I have made a lot of progress, but I am having trouble finding a build
of libssh that includes the .lib file(s), and that is new enough. I
think the .lib file(s) are specific to MSVC.

The 0.5.0 win32 build that includes the .lib file appears to be too
old, I get this error during compile:
.\sshmasterconnection.cpp(297) : error C3861:
'ssh_channel_accept_forward': identifier not found

I've also tried to build it under MSVC2010, but have been unsuccessful
so far, so I thought I'd ask you 1st.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Tue, 02 Dec 2014 23:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to "George Trakatelis" <trakatelis@uom.edu.gr>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 02 Dec 2014 23:50:02 GMT) (full text, mbox, link).


Message #75 received at 642@bugs.x2go.org (full text, mbox, reply):

From: "George Trakatelis" <trakatelis@uom.edu.gr>
To: "'Mike DePaulo'" <mikedep333@gmail.com>
Cc: <642@bugs.x2go.org>
Subject: Bug#642: Changes in X2Go Client for Windows to enable it conform to Visual Studio's stricter type checking
Date: Wed, 3 Dec 2014 01:48:45 +0200
[Message part 1 (text/plain, inline)]
Hi Michael,

I built x2goclient 4.0.3.0 with MSVC2010's nmake. 
Unfortunately couldn't do so with Visual Studio 2010 IDE. 

> I have made a lot of progress, but I am having trouble finding a build 
> of libssh that includes the .lib file(s), and that is new enough. I 
> think the .lib file(s) are specific to MSVC.

I attach a release build of libssh 0.6.3 (please rename .doc to .zip). 
The sources are from libssh-0.6.3-762055b-pageant-support-mingw482.src.zip 
with a minor patch to enable libssh compile under MSVC2010.

> The 0.5.0 win32 build that includes the .lib file appears to be too old

I'm not aware of the build you are referring to.

> I get this error during compile:
> .\sshmasterconnection.cpp(297) : error C3861:
> 'ssh_channel_accept_forward': identifier not found

That seems to be a missing function declaration from libssh.h. 
Apparently, something like 
... 
LIBSSH_API ssh_channel ssh_channel_accept_forward(ssh_session session, int
timeout_ms, int *destination_port); 
... 
is missing.

Please let me know if the attached ssh.lib (for compiling) and ssh.dll (for
runtime) are ok.

George
[release-build-of-libssh-0.6.3-with-vs2010.doc (application/msword, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Wed, 03 Dec 2014 05:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 03 Dec 2014 05:15:01 GMT) (full text, mbox, link).


Message #80 received at 642@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: 642-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 642@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 3 Dec 2014 06:13:41 +0100 (CET)
tag #642 pending
fixed #642 4.0.3.2
thanks

Hello,

X2Go issue #642 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=d2c5c19

The issue will most likely be fixed in src:x2goclient (4.0.3.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit d2c5c1904b91a591dd464ce86da3fd61c854bee7
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Wed Dec 3 00:13:34 2014 -0500

    Update changelog about being able to build under VS2010 (Fixes: #642)

diff --git a/debian/changelog b/debian/changelog
index 1fe5e1e..edeb609 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -9,6 +9,14 @@ x2goclient (4.0.3.2-0x2go1) UNRELEASED; urgency=medium
   * New upstream release (4.0.3.2):
     - Provide empty Turkish translation file.
 
+  [ Mike DePaulo ]
+  * New upstream release (4.0.3.2):
+    - Windows: Enable X2Go Client for Windows to build under VS2010 nmake
+      (but not the VS2010 IDE due to a Qt4 Visual Studio Add-in limitation)
+      Note that the official builds are still build under MinGW.
+      (Fixes: #642)
+      Thanks George Trakatelis (uom.edu.gr) for submitting this feature.
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 27 Nov 2014 12:01:43 +0100
 
 x2goclient (4.0.3.1-0x2go1) unstable; urgency=medium


Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Wed, 03 Dec 2014 05:15:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.3.2. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Wed, 03 Dec 2014 05:15:02 GMT) (full text, mbox, link).


Message sent on to "George Trakatelis" <trakatelis@uom.edu.gr>:
Bug#642. (Wed, 03 Dec 2014 05:15:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Wed, 03 Dec 2014 05:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 03 Dec 2014 05:30:02 GMT) (full text, mbox, link).


Message #92 received at 642@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: George Trakatelis <trakatelis@uom.edu.gr>
Cc: 642@bugs.x2go.org
Subject: Re: Bug#642: Changes in X2Go Client for Windows to enable it conform to Visual Studio's stricter type checking
Date: Wed, 3 Dec 2014 00:27:45 -0500
[Message part 1 (text/plain, inline)]
Hi George, see below

On Tue, Dec 2, 2014 at 6:48 PM, George Trakatelis <trakatelis@uom.edu.gr> wrote:
>
> Hi Michael,
>
> I built x2goclient 4.0.3.0 with MSVC2010's nmake.
> Unfortunately couldn't do so with Visual Studio 2010 IDE.
>
> > I have made a lot of progress, but I am having trouble finding a build
> > of libssh that includes the .lib file(s), and that is new enough. I
> > think the .lib file(s) are specific to MSVC.
>
> I attach a release build of libssh 0.6.3 (please rename .doc to .zip).
> The sources are from libssh-0.6.3-762055b-pageant-support-mingw482.src.zip
> with a minor patch to enable libssh compile under MSVC2010.
>
Please share that patch. When I try to "generate" the VS2010 project
files under CMake 3.0.2, I get these 2 errors:

You have called ADD_LIBRARY for library ssh_threads_shared without any
source files. This typically indicates a problem with your
CMakeLists.txt file

CMake Error: CMake can not determine linker language for target:
ssh_threads_shared

I've attached the log from CMake.

> > The 0.5.0 win32 build that includes the .lib file appears to be too old
>
> I'm not aware of the build you are referring to.
>
It doesn't matter anymore, but I was referring to this:
http://www.libssh.org/files/win32/0.5/
Which is linked to from here:
http://www.libssh.org/get-it/

> > I get this error during compile:
> > .\sshmasterconnection.cpp(297) : error C3861:
> > 'ssh_channel_accept_forward': identifier not found
>
> That seems to be a missing function declaration from libssh.h.
> Apparently, something like
> ...
> LIBSSH_API ssh_channel ssh_channel_accept_forward(ssh_session session, int
> timeout_ms, int *destination_port);
> ...
> is missing.
>
It sounds like libssh 0.5 is too old. Let's not worry about it since
we have 0.6.3 working.

>
> Please let me know if the attached ssh.lib (for compiling) and ssh.dll (for
> runtime) are ok.
>
They work :) I had to copy over the .h files,  but that took me
minimal time. Please share the aforementioned patch though.

> George

I committed an update to the x2goclient changelog. This bug should be
marked as fixed based on that commit.

Also, I am keeping rough notes on how to compile X2Go Client under VS2010 here:
https://docs.google.com/spreadsheets/d/1F5cVkCesXzTlo4oDJrGTdVFB074kkY-5q5-hgJUiXr4/edit?usp=sharing

Think of that as the delta against the MinGW instructions:
http://wiki.x2go.org/doku.php/wiki:development:build-howto-mswin:x2goclient

-Mike
[libssh-0.6.3-762055b-pageant-support-mingw482.src - VS2010 - CMake 3.0.2 Generate log.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Thu, 04 Dec 2014 01:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to "George Trakatelis" <trakatelis@uom.edu.gr>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 04 Dec 2014 01:25:02 GMT) (full text, mbox, link).


Message #97 received at 642@bugs.x2go.org (full text, mbox, reply):

From: "George Trakatelis" <trakatelis@uom.edu.gr>
To: "'Michael DePaulo'" <mikedep333@gmail.com>
Cc: <642@bugs.x2go.org>
Subject: RE: Bug#642: Changes in X2Go Client for Windows to enable it conform to Visual Studio's stricter type checking
Date: Thu, 4 Dec 2014 03:20:02 +0200
[Message part 1 (text/plain, inline)]
Hi Michael, 

I attached a triple-patch to help you build libssh-0.6.3 using VS2010's IDE.


> When I try to "generate" the VS2010 project files under CMake 3.0.2, I get
these 2 errors: 
> 
> You have called ADD_LIBRARY for library ssh_threads_shared without any
source files. 
> This typically indicates a problem with your CMakeLists.txt file 
> 
> CMake Error: CMake cannot determine linker language for target: 
> ssh_threads_shared 

To fix that I had to alter src/threads/CMakeLists.txt as explained in 
http://comments.gmane.org/gmane.network.ssh.libssh.general/1783

If you compiled now, you would get the following error: 
'error C1083: Cannot open include file: 'sys/time.h': No such file or
directory' 
So I also patched libcrypto.c 

That would be enough, if one planned to build libssh with VS2013 (builds
just fine). 

Unfortunately, VS2010 is missing the isblank() function, 
so to accommodate for that I had to patch ConfigureChecks.cmake. 
For more information on C99 library support in Visual Studio, please see 
http://blogs.msdn.com/b/vcblog/archive/2013/07/19/c99-library-support-in-vis
ual-studio-2013.aspx

> It doesn't matter anymore, but I was referring to this:
> http://www.libssh.org/files/win32/0.5/
> Which is linked to from here:
> http://www.libssh.org/get-it/

Apparently, the provided old .lib file lacks ssh_channel_accept_forward
support (it is unpatched). 

> It sounds like libssh 0.5 is too old. Let's not worry about it since we
have 0.6.3 working. 

I agree. 

Please note that I patched the libssh-0.6.3 source. 
To summarize things (correct me if I'm wrong): 

----------------------------------------------------------------------------
----------------------------------
| Patch applied                                              | libssh-0.6.3
|
----------------------------------------------------------------------------
----------------------------------
| implement-support-for-putty-s-pageant-0.6.3-de62963.patch  |
libssh-0.6.3-de62963-pageant-support          |
| libssh-0.6.3-pthread.c.relativepaths.patch                 |
libssh-0.6.3-762055b-pageant-support-mingw482 |
| libssh-0.6.3-vs2010.patch                                  |
libssh-0.6.3-you_name_it                      |
----------------------------------------------------------------------------
----------------------------------

I also attached a new release build with zlib support (please rename .doc to
.zip). 

George 
[libssh-0.6.3-vs2010.patch (application/octet-stream, attachment)]
[release-build-of-libssh-0.6.3-with-vs2010_zlib-support.doc (application/msword, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Thu, 04 Dec 2014 06:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to "George Trakatelis" <trakatelis@uom.edu.gr>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 04 Dec 2014 06:30:02 GMT) (full text, mbox, link).


Message #102 received at 642@bugs.x2go.org (full text, mbox, reply):

From: "George Trakatelis" <trakatelis@uom.edu.gr>
To: "'Michael DePaulo'" <mikedep333@gmail.com>
Cc: <642@bugs.x2go.org>
Subject: RE: Bug#642: Changes in X2Go Client for Windows to enable it conform to Visual Studio's stricter type checking (Errata)
Date: Thu, 4 Dec 2014 08:28:41 +0200
Hi Michael, 

In my previous e-mail with the triple-patch attached there is an error.
Please substitute 

I patched ConfigureChecks.cmake due to the condition described in 
http://www.libssh.org/archive/libssh/2013-10/0000045.html 
Follow the thread for a better understanding of the situation. 

for
> Unfortunately, VS2010 is missing the isblank() function, 
> so to accommodate for that I had to patch ConfigureChecks.cmake.  
> For more information on C99 library support in Visual Studio, please see 
>
http://blogs.msdn.com/b/vcblog/archive/2013/07/19/c99-library-support-in-vis
ual-studio-2013.aspx 

The patch ok! (Only the explanation for the need to patch
ConfigureChecks.cmake was wrong.) 
Sorry for any inconvenience. 

George 


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#642; Package x2goclient. (Thu, 19 Feb 2015 12:00:03 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 19 Feb 2015 12:00:03 GMT) (full text, mbox, link).


Message #107 received at 642@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 642-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 642@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 19 Feb 2015 12:57:57 +0100 (CET)
close #642
thanks

Hello,

we are very hopeful that X2Go issue #642 reported by you
has been resolved in the new release (4.0.3.2) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.3.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=3b7ca68412005521d45d9751a370549ab1c80e58;hp=5290218751cc68a1fc1711ebd169e195eb3daeed

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.3.2-0x2go1
Status: RELEASE
Date: Thu, 19 Feb 2015 12:49:22 +0100
Fixes: 616 642 681 702 705 713 720 742 781 782
Changes: 
 x2goclient (4.0.3.2-0x2go1) RELEASED; urgency=medium
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.3.2):
     - Fix placement of session folders in session card column. (Fixes: #681).
     - Send empty message in x2gohelper to stop AppStarting cursor. (Fixes: #616).
     - Fix multiple creations of modmap timer (OS_DARWIN).
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.3.2):
     - Add several info/error/debug log message while hunting down #702.
     - Use app.setQuitOnLastWindowClosed(false) for the X2Go Client QtApplication
       to assure that X2Go Client does not arbitrarily exit during a running
       session. This fixes X2Go Client crashes that occur when printing via
       the CUPS-X2Go printing mechanism with activate print dialog popup on
       incoming print jobs and minimized main window. (Fixes: #702).
     - Be more exact when reporting rev forwarding tunnel request failures to
       the GUI user. Include the purpose of the tunnel (NX, audio, foldersharing)
       in the error message.
     - Enable debugging in sshprocess.cpp and sshmasterconnection.cpp if
       --debug is given.
     - sshmasterconnection.cpp: Fix several grammar issues in error messages.
     - When sharing a client-side folder, do not write the SSH pub key to
       client-side authorized_keys file if the folder-to-be-shared does not
       exist on the client. (Partially solves #405).
     - Fix string concatenation/layout of error message when tunnel I/O errors
       occur.
     - Improve debugging/logging the SSH connections made by X2Go Client.
     - Fix quotes when calling remote commands via SSH (esp. allow same quoting/
       escaping style for libssh and openSSH+Krb based connections). (Fixes: #720).
     - FIXME: Disable PubkeyAuthentication _and_ PasswordAuthentication if
       GSSAPI authentication is activated. This is counter intuitive, though,
       and requires several other fixes in the authentication code.
   * x2goclient.spec:
     - Always set BuildRoot: parameter.
 .
   [ Sergey Savko ]
   * New upstream release (4.0.3.2):
     - Prevent passwordless re-logins into X2Go Session Broker if
       --broker-autologoff is used on the cmdline. (Fixes: #782).
     - Add new cmdline option --broker-noauth-use-session-username.
       When --broker-noauth is used, the broker does not know on behalf
       of which user to operate. This new option enables username syncing.
       When logging into X2Go Server, that username will be sent to the
       broker and be used for querying X2Go Broker Agents etc. (Fixes: #781).
 .
   [ Heinrich Schuchardt ]
   * New upstream release (4.0.3.2):
     - Base the layout dialogue "Session ID" (which shows up when starting a
       connection) on typographic points (instead of pixels). (Fixes: #713).
 .
   [ Jason Alavaliant ]
   * New upstream verson (4.0.3.2):
     - Use QUrl::toPercentEncoding() method to properly encode passwords sent
       to X2Go Session Broker. (Fixes: #705).
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.3.2):
     - Windows: Win32 OpenSSL updates from 1.0.1j to 1.0.1L, which
       fixes the CVEs announced on 2015-01-08.
     - Windows: Cygwin OpenSSL updated from 1.0.1j-1 to 1.0.1k-1, which
       fixes the CVEs announced on 2015-01-08.
     - Windows: Bundle new version of VcXsrv: 1.15.2.2-xp+vc2013+x2go1.
       The differences from 1.15.2.1-xp+vc2013+x2go1 are that its bundled
       OpenSSL has been updated to 1.0.1k, and that xorg-server
       CVE-2014-8091..8103 have been fixed.
     - Windows: Update libssh from 0.6.3 to 0.6.4 (while maintaining
       Pageant support). This fixes CVE-2014-8132, which shouldn't
       affect x2goclient because x2goclient uses the SSH client
       functionality, not the SSH server functionality.
       0.6.4 also added 4 features related to ECDSA keys.
     - Windows: Fix compatibility with PulseAudio 6.0
     - Windows: Remove workaround for audio input with old versions of
       PulseAudio (calling parec once per second)
       (Fixes: #742)
       Thanks George Trakatelis (uom.edu.gr) for submitting this change.
     - Windows: Enable X2Go Client for Windows to build under VS2010 nmake
       (but not the VS2010 IDE due to a Qt4 Visual Studio Add-in limitation)
       Note that the official builds are still build under MinGW.
       (Fixes: #642)
       Thanks George Trakatelis (uom.edu.gr) for submitting this feature.
     - Windows: Make builds easier, and updating bundled dependencies
       easier, by adding copy-deps-win32.bat. It copies the exact
       version of each dependency (DLL, executable, data, folder, etc)
       from x2goclient-contrib.git.
 .
   [ Kaan Ozdincer ]
   * New upstream version (4.0.3.2):
     - Add Turkish translation file.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 19 Feb 2015 12:00:25 GMT) (full text, mbox, link).


Notification sent to "George Trakatelis" <trakatelis@uom.edu.gr>:
Bug acknowledged by developer. (Thu, 19 Feb 2015 12:00:25 GMT) (full text, mbox, link).


Message sent on to "George Trakatelis" <trakatelis@uom.edu.gr>:
Bug#642. (Thu, 19 Feb 2015 12:00:29 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 20 Mar 2015 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Dec 10 17:36:04 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.